Skip to content

WireIntermedFi⁠

Perform various operations on wire intermediary FI records.

Operations⁠

getWireIntermedFiAdv⁠

POST

Retrieve intermediary financial institution details including advanced information

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireIntermedFiAdvLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiAdv
POST /nexum/627/2022.01/wire/getWireIntermedFiAdv HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireIntermedFiAdvLocator": 0,
  "nxAttributes": {
    "customFields": {}
  }
}

getWireIntermedFiAdvSelectFields⁠

POST

Retrieve intermediary financial institution details with selected fields and advanced information

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
WireIntermedFiAdvLocatorintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiAdvSelectFields
POST /nexum/627/2022.01/wire/getWireIntermedFiAdvSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "WireIntermedFiAdvLocator": 0,
  "SelectableFields": {
    "IncludeAllWireIntermedFiAdvFields": true,
    "WireIntermedFiAdvFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireIntermedFiAdvPagedList⁠

POST

Retrieve paged intermediary financial institution details with advanced information

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiAdvPagedList
POST /nexum/627/2022.01/wire/getWireIntermedFiAdvPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireIntermedFiAdvListSelectFields⁠

POST

Retrieve a list of intermediary financial institution details with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiAdvListSelectFields
POST /nexum/627/2022.01/wire/getWireIntermedFiAdvListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "SelectableFields": {
    "IncludeAllWireIntermedFiAdvFields": true,
    "WireIntermedFiAdvFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

searchWireIntermedFiAdvSelectFields⁠

POST

Searches for wire intermediary financial institution advanced information with selected fields

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
POST/nexum/{sym}/2022.01/wire/searchWireIntermedFiAdvSelectFields
POST /nexum/627/2022.01/wire/searchWireIntermedFiAdvSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "SelectableFields": {
    "IncludeAllWireIntermedFiAdvFields": true,
    "WireIntermedFiAdvFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "SearchFilter": {
    "Query": "string"
  },
  "nxAttributes": {
    "customFields": {}
  }
}

getWireIntermedFiAdvPagedListSelectFields⁠

POST

Retrieve paged intermediary financial institution details with selected fields and advanced information

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

WireSequenceNumberintegeroptional
Path Parameters
symstringrequired
Sym number
Tokenstringoptional
POST/nexum/{sym}/2022.01/wire/getWireIntermedFiAdvPagedListSelectFields
POST /nexum/627/2022.01/wire/getWireIntermedFiAdvPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "WireSequenceNumber": 0,
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 0,
    "NumberOfRecordsToSkip": 0,
    "Token": "string"
  },
  "SelectableFields": {
    "IncludeAllWireIntermedFiAdvFields": true,
    "WireIntermedFiAdvFields": {
      "Locator": true,
      "Text": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}